/* Written for icb by Mark Giaquinto, copyright (C) 1991 */

/*#define BSEARCH_NEED /* */

/* MAX_USERS is defined in ../murgil/ipcf.h */

/* File definitions */

#define USERDB "./icbdb"
#define ICBDLOG "./icbd.log"
#define ICBDMOTD "./motd"
#define ICBDHELP "./icbd_help"

#define DEBUG /* if you want debug messages */

#define DEFAULTPORT 7326
 
#define MAX_FIELDS      20      /* fields in a packet */
#define MAX_GROUPS	75	/* total groups */
#define MAX_GROUPLEN    8       /* chars in a group name */
#define MAX_IDLEN       12      /* chars in a login id */
#define MAX_INPUTSTR    (250 - MAX_NICKLEN - MAX_NICKLEN - 6) /* input line */
#define MAX_INVITES     25      /* invitations in a group */
#define MAX_NICKLEN     12      /* chars in a username */
#define MAX_NODELEN     64      /* chars in a node name */
#define MAX_NOPONG      600     /* seconds a client may not PONG a PING */
#define MAX_PASSWDLEN   12      /* chars in a user password */
#define MAX_REALLEN     64      /* chars in a real life name */
#define MAX_TEXTLEN     (80 - MAX_NICKLEN - 5)  /* max chars in a message */
#define MAX_TOPICLEN    32      /* chars in a group topic */
#define MAX_HUSHED      32      /* maximum number of hushed people */
#define MAX_NOTIFIES    16	/* maximum notifies allowed */
#define MAX_IDLE        5400    /* maximum idle seconds before disconnect */
#define MAX_MOD_IDLE	600	/* maximum idle seconds before mod passes on */
#define MAX_WRITES	20	/* maximum writes allowed to nickname */

#define PID_FILE "./icbd.pid"

#define ACCESS_FILE "./icbd.deny"

/* Since sometimes gethostname doesn't do it right, if the hostname returned
   is SHORT_HOSTNAME, FQDN is used instead. */
#define SHORT_HOSTNAME "copernicus"
#define FQDN "icb.sjsu.edu"

#define SERVER_ADMIN "richd@icb.sjsu.edu"

/* The master password. Used to validate you as Admin */
#define TheKey  "Dr.Sm1th"
