/* Copyright (c) 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING. */

#include "lookup.h"
#include "server.h"
#include "externs.h"
#include "protocol.h"
#include <strings.h>

/* look up a string in the command table */
/* case insensitive compares */

int lookup(s, table)
char *s;
char * table[];
{
	int i;
	int result = -1;

        for (i = 0; table[i] != 0; i++) {
		if(strcasecmp(s, table[i]) == 0) {
			result = i;
			break;
		}
	}
	return result;
}


#ifdef NEVER
/* compare the first word in s1 with s2 */
wordcmp(s1, s2)
char *s1;
char *s2;
{
	char *p = s1;
	int count = 0;
	while (*p != ' ' && *p != '\t' && *p != '\0') {
		count++;
		p++;
	}
	if (count)
		return(strncmp(s1, s2, count));
	else
		return(1);
}
#endif NEVER

/* starting at a word, find the start of the next one */
char *nextword(s)
char *s;
{
	while (*s != ' ' && *s != '\t' && *s != '\0') s++;
	while ((*s == ' ' || *s == '\t') && *s != '\0') s++;
	if (*s == '\0')
		return(0);
	else
		return(s);
}
