/* Copyright 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING. */

/* primitive to send a beep */

#include "server.h"
#include "externs.h"

/* basically just a rewriting of s_person */
s_beep(n, argc)
int n;
int argc;
{
	int dest;
	char * cp;

	if (argc == 2) {
		/* constraints:
			destination nickname is not null
			destination nickname exists */

		cp = getword(fields[1]);
		if (cp == NULL) {
			mdb("[ERROR] Null string in beep");
			return;
			}
		if (strlen(cp) == 0) {
			mdb("[ERROR] Null string in beep");
		} else {
                	if( (dest = find_user(cp)) < 0) {
                       		/* error - no such nick */
				sprintf(mbuf, "%s not signed on.", cp);
                        	senderror(n, mbuf);
                	} else {
				/* send a message to that nick */
				sendbeep(n, dest);
                	}
		}

                /* side-effects:
                        none */
        } else {
                mdb("personal: wrong number of parz");
        }
}

