/* Copyright (c) 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING */

#include "../murgil/ipcf.h"
#include "config.h"
#include "groups.h"
#include "users.h"
#include <errno.h>

extern char *sys_errlist[];	/* For some reason, not in errno.h */

/* external definitions for "go" global variables */
/* system stuff */
extern long time();

/* defined in port.c */
extern char *hostname; 	/* default hostname for connects */
extern int portnumber;	/* default INET port number */

/* defined in split.c */
extern char *fields[MAX_FIELDS];	/* split fields */

/* global go variables settable with gorc */
extern GLOBS gv;
	
/* defined in globals.c */
extern char *pp;		/* packet pointer */
extern char *pbuf;		/* packet buffer pointer */
extern char thishost[MAXHOSTNAMELEN];	/* our hostname */
extern char *mbuf;
extern time_t curtime;		/* current time */
extern USER_ITEM u_tab[MAX_USERS];	/* user table */
extern GROUP_ITEM g_tab[MAX_GROUPS];	/* group table */

/* lookup tables */
/* commands */
extern char *command_table[];
/* status options */
extern char *status_table[];
/* automagic resident user commands */
extern char *auto_table[];

/* if there is a connection to kill, else 0 */
extern short int S_kill[MAX_REAL_USERS];

/* flags set in .gorc */
extern int m_watchtime;		/* using boring time format */

extern long TimeToDie;
extern int ShutdownNotify;
extern int restart;
